Module java.compiler
Package javax.lang.model.element

## Interface Parameterizable

All Superinterfaces:
  AnnotatedConstruct, Element

All Known Subinterfaces:
  ExecutableElement, TypeElement

    public interface Parameterizable
    extends Element

A mixin interface for an element that has type parameters.

Since:
  1.7

### Method Summary

All Methods Instance Methods Abstract Methods
`List<? extends TypeParameterElement>` `getTypeParameters()` Returns the formal type parameters of the type element in declaration order.

### Methods inherited from interface javax.lang.model.AnnotatedConstruct

`getAnnotationsByType`

### Methods inherited from interface javax.lang.model.element.Element

`accept, asType, equals, getAnnotation, getAnnotationMirrors, getEnclosedElements, getEnclosingElement, getKind, getModifiers, getSimpleName, hashCode`

### Method Detail

#### getTypeParameters

    List<? extends TypeParameterElement> getTypeParameters()

Returns the formal type parameters of the type element in declaration order.

Returns:
  the formal type parameters, or an empty list if there are none